首页   注册   登录
V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX  ›  Visual Studio Code

VS Code 如何支持 PHP7 新增语法?

  •  
  •   dangyuluo · 2017-09-14 13:08:49 +08:00 · 4300 次点击
    这是一个创建于 812 天前的主题,其中的信息可能已经有所发展或是发生改变。

    如以下代码:

    $page_num = $this->input->get('page') ?? 1;
    

    是 PHP7 新增的一种语法,但是在 VS Code 里会显示有一行错误。我看网上的解决方案是本地安装一个 PHP7,可这不符合 VS Code 的定位(编辑器,非 IDE )。

    请问各位,有没有简便一些的解决办法呢?

    8 回复  |  直到 2017-09-14 23:17:56 +08:00
        1
    xbonline   2017-09-14 13:16:41 +08:00
    VS Code 的语法检查貌似本来就是调用 PHP 来解析的吧。
    你可以下个 PHP7 的 binary,不替换系统原来的 PHP,在 VS Code 中设置 PHP7 的路径。
        2
    gclove   2017-09-14 13:34:50 +08:00
    @dangyuluo VS Code 可做不了这个事情, 你的 VS Code 可给不了你这种提示

    提示来自于 linter 插件, 而且本地没有装 PHP 的话是不会有提示的.

    说明你本地是低版本的 php-cli
        3
    gclove   2017-09-14 13:42:24 +08:00
    @dangyuluo 只要你本地不能执行 `php -v` 这个命令, VS Code 就会提示

    无法验证,因为未设置任何 PHP 可执行文件。请使用设置 "php.validate.executablePath" 配置 PHP 可执行文件
        4
    SilentDepth   2017-09-14 13:53:49 +08:00
    VSCode 的定位真难说不是 IDE。没开发过 PHP,楼主的问题不了解,不过猜测是本地 PHP 环境的问题(有很多扩展是要求各种语言的 SDK 的)
        5
    siguretto   2017-09-14 14:51:19 +08:00
    题外话,这是 7 的新语法吗?
    是指 ??这个在 5 就有的
        6
    coooooooode   2017-09-14 16:10:47 +08:00
    自己本地的 PHP 版本不是 7.0+版本,跟 VSCODE 没关系
    命令是 php -l filename
    ```
    -l Syntax check only (lint)
    ```
        7
    zhuangtongfa   2017-09-14 16:14:49 +08:00
    vscode 对 php 的语法检测是调用 php 来做到的,下个 php7 然后设置下 php 目录不用系统自带的就行
        8
    dangyuluo   2017-09-14 23:17:56 +08:00
    @xbonline
    @gclove
    @zhuangtongfa

    了解,是我理解错了。
    关于   ·   FAQ   ·   API   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1696 人在线   最高记录 5043   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.3 · 29ms · UTC 16:43 · PVG 00:43 · LAX 08:43 · JFK 11:43
    ♥ Do have faith in what you're doing.